import router from ".";

export function goToChatWithOutletRoboot(data: { outletPosId: string }) {
  router.push({
    name: "Chat",
    query: {
      targetId: data.outletPosId,
      outlet: "true",
    },
  });
}

export function gotoChatWithStaff(data: {
  address: string;
  beginChat?: boolean;
}) {
  router.push({
    name: "Chat",
    query: {
      targetId: data.address,
      beginChat: data.beginChat ? "true" : undefined,
    },
  });
}
